# Copyright (c) 2000-2001 LOGILAB S.A. (Paris, FRANCE).
# http://www.logilab.fr/ -- mailto:contact@logilab.fr
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

"""ChangeListeners module.

Defines change listeners interfaces.
"""

__revision__ = "$Id: ChangeListeners.py,v 1.1 2001/11/16 10:50:47 syt Exp $"


class ElementChangeListenerInterface :
    """Element ChangeListener Interface"""

    def element_change(self) :
        raise Exception("interface method not implemented")


class MemoryChangeListenerInterface :
    """Memory ChangeListener Interface"""

    def memory_change(self,action,element,old_element=None) :
        raise Exception("interface method not implemented")


class PlanChangeListenerInterface :
    """Plan ChangeListener Interface"""

    def plan_change(self,plan,action='state',element=None) :
        raise Exception("interface method not implemented")


class StepChangeListenerInterface :
    """Step ChangeListener Interface"""

    def step_change(self,step) :
        raise Exception("interface method not implemented")


class TransitionChangeListenerInterface :
    """Transition ChangeListener Interface"""

    def transition_change(self,transition) :
        raise Exception("interface method not implemented")
